org.codehaus.groovy.tools.shell

## Class CommandException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.tools.shell.CommandException

All Implemented Interfaces:
  java.io.Serializable

    public class CommandException
    extends java.lang.Exception

Thrown to indicate a problem with command execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandException(Command command, java.lang.String msg)`
`CommandException(Command command, java.lang.String msg, java.lang.Throwable cause)`

### Method Summary

Methods
`Command` `getCommand()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandException

    public CommandException(Command command,
                    java.lang.String msg)

#### CommandException

    public CommandException(Command command,
                    java.lang.String msg,
                    java.lang.Throwable cause)

### Method Detail

#### getCommand

    public Command getCommand()